org.eclipse.viatra.dse.evolutionary

## Class TrajectoryWithStateFitness

- java.lang.Object
- - org.eclipse.viatra.dse.objectives.TrajectoryFitness
  - - org.eclipse.viatra.dse.evolutionary.TrajectoryWithStateFitness

-     public class TrajectoryWithStateFitness
      extends TrajectoryFitness

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `state`

    - ### Fields inherited from class org.eclipse.viatra.dse.objectives.TrajectoryFitness

      `crowdingDistance, fitness, rank, survive, trajectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrajectoryWithStateFitness(java.lang.Object[] trajectory, java.lang.Object state, Fitness fitness)`
    `TrajectoryWithStateFitness(java.lang.Object transition, java.lang.Object state, Fitness fitness)`
    `TrajectoryWithStateFitness(TrajectoryInfo trajectoryInfo, Fitness fitness)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.eclipse.viatra.dse.objectives.TrajectoryFitness

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### state

          public java.lang.Object state

  - ### Constructor Detail

    - #### TrajectoryWithStateFitness

          public TrajectoryWithStateFitness(java.lang.Object[] trajectory,
                                            java.lang.Object state,
                                            Fitness fitness)

    - #### TrajectoryWithStateFitness

          public TrajectoryWithStateFitness(TrajectoryInfo trajectoryInfo,
                                            Fitness fitness)

    - #### TrajectoryWithStateFitness

          public TrajectoryWithStateFitness(java.lang.Object transition,
                                            java.lang.Object state,
                                            Fitness fitness)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `TrajectoryFitness`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TrajectoryFitness`